GETVERS(1)

NAME

getvers - list information stored in rVersion and rComment resources

SYNOPSIS
getvers [-b] [-c] [-f] [-q] file ...

DESCRIPTION
getvers print the version information (product name, version, description, country) stored in the rVersion resource of the specified files and optionally print the contents of the rComment resource. If there is no version information, or if there is an error accessing the file, getvers prints a message and continues processing any remaining files.

To add rVersion resource information to a file, you can use the companion shell utility setvers(1), or use the rez resource compiler.

getvers returns 1 to its parent program if an error is encountered processing any of the files. Otherwise it returns 0.

  OPTIONS
getvers recognizes these options:

-b  print a brief one-line listing for each file, showing only the product name and version.

-c  print rComment resource number 1 (the one displayed by Finder in file information windows).

-f  print the name of a file before printing its information.

-q  do not print error or warning information.

SEE ALSO
setvers(1)

VERSION
This manual page documents getvers version 2.0.

AUTHOR
Originally written by Ian Schmidt, Two Meg Software. Updated by Dave Tribby for GNO/ME 2.0.6.

HISTORY
The previous version (1.20) of getvers was released by Ian Schmidt in May 1993 as an independent archive compatible with GNO and ORCA.